package bsp

import (
	"context"

	"github.com/jezek/xgbutil"
)

type XWM struct {
	W *WM
	X *xgbutil.XUtil
}

func NewXWM(w *WM, x *xgbutil.XUtil) *XWM {
	xwm := &XWM{
		W: w,
		X: x,
	}
	return xwm
}

func (xwm *XWM) Start(ctx context.Context) error {
	for {
		err := xwm.run(ctx)
		if err != nil {
			return err
		}
	}
}

func (xwm *XWM) run(ctx context.Context) error {
	return nil
}
